com.amazonaws.services.cloudfront.model

## Class CookieNames

- java.lang.Object
- - com.amazonaws.services.cloudfront.model.CookieNames

All Implemented Interfaces:
  Serializable, Cloneable

    public class CookieNames
    extends Object
    implements Serializable, Cloneable

A complex type that specifies whether you want CloudFront to forward cookies to the origin and, if so, which ones. For more information about forwarding cookies to the origin, see How CloudFront Forwards, Caches, and Logs Cookies in the Amazon CloudFront Developer Guide.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`CookieNames()`

### Method Summary

All Methods Instance Methods Concrete Methods
`CookieNames` `clone()`
`boolean` `equals(Object obj)`
`List<String>` `getItems()` A complex type that contains one `Name` element for each cookie that you want CloudFront to forward to the origin for this cache behavior.
`Integer` `getQuantity()` The number of different cookies that you want CloudFront to forward to the origin for this cache behavior.
`int` `hashCode()`
`void` `setItems(Collection<String> items)` A complex type that contains one `Name` element for each cookie that you want CloudFront to forward to the origin for this cache behavior.
`void` `setQuantity(Integer quantity)` The number of different cookies that you want CloudFront to forward to the origin for this cache behavior.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`CookieNames` `withItems(Collection<String> items)` A complex type that contains one `Name` element for each cookie that you want CloudFront to forward to the origin for this cache behavior.
`CookieNames` `withItems(String... items)` A complex type that contains one `Name` element for each cookie that you want CloudFront to forward to the origin for this cache behavior.
`CookieNames` `withQuantity(Integer quantity)` The number of different cookies that you want CloudFront to forward to the origin for this cache behavior.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CookieNames

    public CookieNames()

### Method Detail

#### setQuantity

    public void setQuantity(Integer quantity)

The number of different cookies that you want CloudFront to forward to the origin for this cache behavior.

Parameters:
  `quantity` - The number of different cookies that you want CloudFront to forward to the origin for this cache behavior.

#### getQuantity

    public Integer getQuantity()

The number of different cookies that you want CloudFront to forward to the origin for this cache behavior.

Returns:
  The number of different cookies that you want CloudFront to forward to the origin for this cache behavior.

#### withQuantity

    public CookieNames withQuantity(Integer quantity)

The number of different cookies that you want CloudFront to forward to the origin for this cache behavior.

Parameters:
  `quantity` - The number of different cookies that you want CloudFront to forward to the origin for this cache behavior.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### getItems

    public List<String> getItems()

A complex type that contains one `Name` element for each cookie that you want CloudFront to forward to the origin for this cache behavior.

Returns:
  A complex type that contains one `Name` element for each cookie that you want CloudFront to forward to the origin for this cache behavior.

#### setItems

    public void setItems(Collection<String> items)

A complex type that contains one `Name` element for each cookie that you want CloudFront to forward to the origin for this cache behavior.

Parameters:
  `items` - A complex type that contains one `Name` element for each cookie that you want CloudFront to forward to the origin for this cache behavior.

#### withItems

    public CookieNames withItems(String... items)

A complex type that contains one `Name` element for each cookie that you want CloudFront to forward to the origin for this cache behavior.

NOTE: This method appends the values to the existing list (if any). Use `setItems(java.util.Collection)` or `withItems(java.util.Collection)` if you want to override the existing values.

Parameters:
  `items` - A complex type that contains one `Name` element for each cookie that you want CloudFront to forward to the origin for this cache behavior.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withItems

    public CookieNames withItems(Collection<String> items)

A complex type that contains one `Name` element for each cookie that you want CloudFront to forward to the origin for this cache behavior.

Parameters:
  `items` - A complex type that contains one `Name` element for each cookie that you want CloudFront to forward to the origin for this cache behavior.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public CookieNames clone()

Overrides:
  `clone` in class `Object`